package com.bpcl.lpg.core;

import org.slf4j.LoggerFactory;
import de.hybris.platform.util.RedeployUtilities;
import de.hybris.platform.util.Utilities;
import java.text.MessageFormat;
import de.hybris.platform.jalo.JaloSession;
import de.hybris.platform.core.Registry;
import org.slf4j.Logger;

public class BpcllpgcoreStandalone
{
    private static final Logger LOG;
    
    public static void main(final String[] args) {
        new BpcllpgcoreStandalone().run();
    }
    
    public void run() {
        Registry.activateStandaloneMode();
        Registry.activateMasterTenant();
        final JaloSession jaloSession = JaloSession.getCurrentSession();
        if (BpcllpgcoreStandalone.LOG.isDebugEnabled()) {
            BpcllpgcoreStandalone.LOG.debug(MessageFormat.format("Session ID:{0} and User: {1}", jaloSession.getSessionID(), jaloSession.getUser()));
        }
        Utilities.printAppInfo();
        RedeployUtilities.shutdown();
    }
    
    static {
        LOG = LoggerFactory.getLogger(BpcllpgcoreStandalone.class);
    }
}
